
# remove it when kde4 will be official kde package
%define _prefix /opt/kde4
%define _libdir %_prefix/%_lib
%define _datadir %_prefix/share/
%define _bindir %_prefix/bin
%define _includedir %_prefix/include/
%define _iconsdir %_datadir/icons/
%define _sysconfdir %_prefix/etc/
%define _docdir %_datadir/doc/

%define branch_date 20070306

%define use_enable_final 1
%{?_no_enable_final: %{expand: %%global use_enable_final 0}}

%define branch 1
%{?_branch: %{expand: %%global branch 1}}

%define unstable 1
%{?_unstable: %{expand: %%global unstable 1}}

%if %unstable
%define dont_strip 1
%endif

%define lib_name_orig %mklibname kdeaccessibility4
%define lib_major 1
%define lib_name %lib_name_orig%lib_major


Name:		kdeaccessibility4
Version:    	3.80.3
Release:    	%mkrel  0.%branch_date.1
Epoch:		1
Group:		Graphical desktop/KDE
Summary:	K Desktop Environment - Accessibility program
Packager:	Mandriva Linux KDE Team <kde@mandriva.com>
URL: 		http://www.kde.org


%if %branch
Source: ftp://ftp.kde.org/pub/kde/stable/%version/src/kdeaccessibility-%version-%branch_date.tar.bz2
%else
Source: ftp://ftp.kde.org/pub/kde/stable/%version/src/kdeaccessibility-%version.tar.bz2
%endif
BuildRoot:	%_tmppath/%name-%version-%release-root
License:	GPL
BuildRequires: X11-devel
BuildRequires: libgstreamer-devel
BuildRequires:	gstreamer-devel
BuildRequires:	akode-devel
%define mini_release %mkrel 0.%branch_date.1
BuildRequires: kdelibs4-devel >= %version-%mini_release
BuildRequires: kdebase4-devel >= %version-%mini_release
BuildRequires:	alsa-lib-devel

%description
KDE Accessibility Aids:
- kmag, a screen magnifier,
- kmousetool, a program for people whom it hurts to click the mouse
- KMouth, a program that allows people who have lost their voice to let 
  their computer speak for them.

%post
/sbin/ldconfig
%update_icon_cache hicolor

%postun
/sbin/ldconfig
%clean_icon_cache hicolor

%files 
%defattr(-,root,root)
%_bindir/kmag
%_bindir/kmousetool
%_bindir/kmouth
%_datadir/applications/kde4/kmag.desktop
%_datadir/applications/kde4/kmousetool.desktop
%_datadir/applications/kde4/kmouth.desktop
%dir %_datadir/apps/kmouth/
%_datadir/apps/kmouth/kmouthui.rc
%_datadir/apps/kmouth/phrasebookdialogui.rc
%dir %_datadir/apps/kmag/
%_datadir/apps/kmag/icons/hicolor/16x16/actions/followmouse.png
%_datadir/apps/kmag/icons/hicolor/16x16/actions/hidemouse.png
%_datadir/apps/kmag/icons/hicolor/16x16/actions/window.png
%_datadir/apps/kmag/icons/hicolor/16x16/apps/kmag.png
%_datadir/apps/kmag/icons/hicolor/32x32/apps/kmag.png
%_datadir/apps/kmag/icons/locolor/16x16/apps/kmag.png
%_datadir/apps/kmag/icons/locolor/32x32/apps/kmag.png
%_datadir/apps/kmag/kmagui.rc
%_datadir/apps/kmousetool/icons/hicolor/16x16/actions/kmousetool_off.png
%_datadir/apps/kmousetool/icons/hicolor/16x16/actions/kmousetool_on.png
%_datadir/apps/kmousetool/icons/hicolor/16x16/apps/kmousetool.png
%_datadir/apps/kmousetool/icons/hicolor/32x32/actions/kmousetool_off.png
%_datadir/apps/kmousetool/icons/hicolor/32x32/actions/kmousetool_on.png
%_datadir/apps/kmousetool/icons/hicolor/32x32/apps/kmousetool.png
%_datadir/apps/kmousetool/sounds/mousetool_tap.wav

%dir %_datadir/apps/kmouth/books/
%_datadir/apps/kmouth/books/de/*
%_datadir/apps/kmouth/books/en/*
%_datadir/apps/kmouth/books/sv/*

%_datadir/apps/kmouth/icons/hicolor/16x16/actions/*
%_datadir/apps/kmouth/icons/hicolor/22x22/actions/*
%_datadir/apps/kmouth/icons/hicolor/32x32/actions/*
%_datadir/apps/kmouth/icons/hicolor/48x48/actions/*

%_datadir/config/kmouthrc
%_iconsdir/hicolor/16x16/actions/female.png
%_iconsdir/hicolor/16x16/actions/male.png
%_iconsdir/hicolor/16x16/actions/nospeak.png
%_iconsdir/hicolor/16x16/actions/speak.png
%_iconsdir/hicolor/16x16/apps/kmouth.png
%_iconsdir/hicolor/22x22/actions/nospeak.png
%_iconsdir/hicolor/22x22/actions/speak.png
%_iconsdir/hicolor/22x22/apps/kmouth.png
%_iconsdir/hicolor/32x32/actions/nospeak.png
%_iconsdir/hicolor/32x32/actions/speak.png
%_iconsdir/hicolor/32x32/apps/kmouth.png
%_iconsdir/hicolor/48x48/actions/nospeak.png
%_iconsdir/hicolor/48x48/actions/speak.png
%_iconsdir/hicolor/48x48/apps/kmouth.png
%_iconsdir/locolor/16x16/actions/speak.png
%_iconsdir/locolor/16x16/apps/kmouth.png
%_iconsdir/locolor/22x22/actions/speak.png
%_iconsdir/locolor/22x22/apps/kmouth.png
%_iconsdir/locolor/32x32/actions/speak.png
%_iconsdir/locolor/32x32/apps/kmouth.png

%_iconsdir/mono/*

%dir %_docdir/HTML/en/kmag/
%doc %_docdir/HTML/en/kmag/*.bz2
%doc %_docdir/HTML/en/kmag/*.docbook
%doc %_docdir/HTML/en/kmag/*.png
%dir %_docdir/HTML/en/kmousetool/
%doc %_docdir/HTML/en/kmousetool/*.bz2
%doc %_docdir/HTML/en/kmousetool/*.docbook
%dir %_docdir/HTML/en/kmouth/
%doc %_docdir/HTML/en/kmouth/*.bz2
%doc %_docdir/HTML/en/kmouth/*.docbook
%doc %_docdir/HTML/en/kmouth/*.png

#--------------------------------------------------------------------

%package kttsd
Group:      Development/KDE and Qt
Summary:    KTTS -- KDE Text-to-Speech.
Requires:	%{lib_name}-kttsd = %epoch:%version-%release

%description kttsd
KTTS -- KDE Text-to-Speech -- is a subsystem within the KDE desktop for 
conversion of text to audible speech. KTTS is currently under development 
and aims to become the standard subsystem for all KDE applications 
to provide speech output.
User Features:
 _ Speak any text from the KDE clipboard.
 _ Speak any plain text file.
 _ Speak all or any portion of a text file from Kate.
 _ Speak all or any portion of an HTML page from Konqueror.
 _ Use as the speech backend for KMouth and KSayIt.
 _ Speak KDE notifications (KNotify).
 _ Long text is parsed into sentences. User may backup by sentence or 
	paragraph, replay, pause, and stop playing.
 _ Audio output via aRts or GStreamer (version 0.8.7 or later)

%files kttsd
%defattr(-,root,root,0755)
%_bindir/kttsd
%_bindir/kttsmgr

%_datadir/applications/kde4/kttsmgr.desktop
%_datadir/services/kcmkttsd.desktop
%_datadir/services/kttsd.desktop
%_datadir/services/kttsd_alsaplugin.desktop
%_datadir/services/kttsd_commandplugin.desktop
%_datadir/services/kttsd_eposplugin.desktop
%_datadir/services/kttsd_festivalintplugin.desktop
%_datadir/services/kttsd_fliteplugin.desktop
%_datadir/services/kttsd_freettsplugin.desktop
%_datadir/services/kttsd_hadifixplugin.desktop
%_datadir/services/kttsd_phononplugin.desktop
%_datadir/services/kttsd_sbdplugin.desktop
%_datadir/services/kttsd_stringreplacerplugin.desktop
%_datadir/services/kttsd_talkerchooserplugin.desktop
%_datadir/services/kttsd_xmltransformerplugin.desktop
%_datadir/services/kttsjobmgr.desktop
%_datadir/servicetypes/kttsd_audioplugin.desktop
%_datadir/servicetypes/kttsd_filterplugin.desktop
%_datadir/servicetypes/kttsd_synthplugin.desktop

%_datadir/apps/kttsd/festivalint/sabletowave.scm
%_datadir/apps/kttsd/festivalint/voices
%_datadir/apps/kttsd/festivalint/xslt/SSMLtoSable.xsl
%_datadir/apps/kttsd/hadifix/xslt/SSMLtoTxt2pho.xsl
%_datadir/apps/kttsd/kcmkttsd_testmessage.desktop
%_datadir/apps/kttsd/sbd/polish_festival_sbdrc
%_datadir/apps/kttsd/sbd/standard_sbdrc
%_datadir/apps/kttsd/stringreplacer/*.xml
%_datadir/apps/kttsd/talkerchooser/female_notifications_rc
%_datadir/apps/kttsd/xmltransformer/xhtml2ssml.xsl
%_datadir/apps/kttsd/xmltransformer/xhtml2ssml_simple.xsl
%_datadir/apps/kttsd/xslt/SSMLtoPlainText.xsl
%dir %_datadir/apps/kbstateapplet/
%_datadir/apps/kbstateapplet/icons/*
%_datadir/apps/kicker/applets/kbstateapplet.desktop

%dir %_docdir/HTML/en/kttsd/
%doc %_docdir/HTML/en/kttsd/*.png
%doc %_docdir/HTML/en/kttsd/*.bz2
%doc %_docdir/HTML/en/kttsd/*.docbook



#--------------------------------------------------------------------

%package -n %name-kttsd-gstreamer
Group:      Development/KDE and Qt
Summary:    Gstreamer plugins
Requires:	%name-kttsd >= %epoch:%version-%release
Provides:	kttsd4-gstreamer


%description -n %name-kttsd-gstreamer
Plugins for gstreamer

%files -n %name-kttsd-gstreamer
%defattr(-,root,root)

#--------------------------------------------------------------------

%package -n %name-kttsd-akode
Group:      Development/KDE and Qt
Summary:    Akode plugins
Requires:   %name-kttsd >= %epoch:%version-%release

%description -n %name-kttsd-akode
Plugins for akode

%files -n %name-kttsd-akode
%defattr(-,root,root)


#--------------------------------------------------------------------

%package -n	%{lib_name}-kttsd
Group:		Development/KDE and Qt
Summary:	Library files for Kttsd

%description -n	%{lib_name}-kttsd
Libraries file for Ktts

%post -n %lib_name-kttsd -p /sbin/ldconfig
%postun -n %lib_name-kttsd -p /sbin/ldconfig

%files -n %lib_name-kttsd
%defattr(-,root,root)
%_libdir/libkttsd.so.*
%_libdir/kde4/kcm_kttsd.so
%_libdir/kde4/libkttsd_alsaplugin.so
%_libdir/kde4/libkttsd_commandplugin.so
%_libdir/kde4/libkttsd_eposplugin.so
%_libdir/kde4/libkttsd_festivalintplugin.so
%_libdir/kde4/libkttsd_fliteplugin.so
%_libdir/kde4/libkttsd_freettsplugin.so
%_libdir/kde4/libkttsd_hadifixplugin.so
%_libdir/kde4/libkttsd_phononplugin.so
%_libdir/kde4/libkttsd_sbdplugin.so
%_libdir/kde4/libkttsd_stringreplacerplugin.so
%_libdir/kde4/libkttsd_talkerchooserplugin.so
%_libdir/kde4/libkttsd_xmltransformerplugin.so
%_libdir/kde4/libkttsjobmgrpart.so

%_libdir/kde4/kbstate_panelapplet.so

#--------------------------------------------------------------------

%package -n	%{lib_name}-kttsd-devel
Group:		Development/KDE and Qt
Summary:	Header files for developing ktts
Requires:	%{lib_name}-kttsd = %epoch:%{version}-%{release}

%description -n	%{lib_name}-kttsd-devel
Header files needed for developing ktts applications.

%files -n %lib_name-kttsd-devel
%defattr(-,root,root)
%_libdir/libkttsd.so
#--------------------------------------------------------------------

%prep
%setup -q -nkdeaccessibility-%version-%branch_date

%build

cd $RPM_BUILD_DIR/kdeaccessibility-%version-%branch_date
mkdir build
cd build
export QTDIR=/usr/lib/qt4/
export PATH=$QTDIR/bin:$PATH

cmake -DCMAKE_INSTALL_PREFIX=%_prefix \
%if %use_enable_final
      -DKDE4_ENABLE_FINAL=ON \
%endif
%if %unstable
      -DCMAKE_BUILD_TYPE=Debug \
%endif
%if "%{_lib}" != "lib"
      -DLIB_SUFFIX=64 \
%endif
        ../


%install
rm -fr %buildroot
cd $RPM_BUILD_DIR/kdeaccessibility-%version-%branch_date/build

make DESTDIR=%buildroot install

#TODO fix menu
mandriva-add-xdg-categories.pl %buildroot/%_datadir/applications/kde4/kttsmgr.desktop kdeaccessibility-kttsd 


%clean
rm -fr %buildroot



%changelog
* Tue Mar 06 2007 Laurent Montel <lmontel@mandriva.com> 3.80.3-0.20070306.1mdv2007.1
+ Revision: 133606
- new snapshot
- new snapshot
- 3.80.3
- Fix spec file
- new snapshot

* Thu Jan 18 2007 Laurent Montel <lmontel@mandriva.com> 1:3.80.2-0.20070117.1mdv2007.1
+ Revision: 110504
- Update
- Update snapshot

* Sun Jan 07 2007 Laurent Montel <lmontel@mandriva.com> 1:3.80.2-0.20070103.1mdv2007.1
+ Revision: 105138
- Update
- Fix
- Byebye menu
- Fix other buildrequires
- Import kdeaccessibility4




* Wed Oct 25 2006 Laurent Montel <lmontel@mandriva.com> 3.5.5-2mdv2007.0
- First package
